|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QCustomRasterPaintDevice Class Reference
[QtGui module]

The QCustomRasterPaintDevice class is provided to activate hardware accelerated paint engines in Qtopia Core. More...

     #include <QCustomRasterPaintDevice>

This class is under development and is subject to change.

Inherits QPaintDevice.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QCustomRasterPaintDevice ( QWidget * widget )
- virtual int bytesPerLine () const
- virtual QImage::Format format () const
- virtual void * memory () const

- 12 public functions inherited from QPaintDevice

### Additional Inherited Members

- 1 protected function inherited from QPaintDevice

## Detailed Description

The QCustomRasterPaintDevice class is provided to activate hardware accelerated paint engines in Qtopia Core.

Note that this class is only available in Qtopia Core.

In Qtopia Core, painting is a pure software implementation. But starting with Qtopia Core 4.2, it is possible to add an accelerated graphics driver to take advantage of available hardware resources.

Hardware acceleration is accomplished by creating a custom screen driver, accelerating the copying from memory to the screen, and implementing a custom paint engine accelerating the various painting operations. Then a custom paint device (derived from the QCustomRasterPaintDevice class) and a custom window surface (derived from QWSWindowSurface) must be implemented to make Qtopia Core aware of the accelerated driver.

See the Adding an Accelerated Graphics Driver in Qtopia Core documentation for details.

See also QRasterPaintEngine and QPaintDevice.

## Member Function Documentation

### QCustomRasterPaintDevice::QCustomRasterPaintDevice ( QWidget * widget )

Constructs a custom raster based paint device for the given top-level widget.

### int QCustomRasterPaintDevice::bytesPerLine () const `[virtual]`

Returns the number of bytes per line in the framebuffer. Note that this number might be larger than the framebuffer width.

### QImage::Format QCustomRasterPaintDevice::format () const `[virtual]`

Returns the format of the device's memory buffet.

The default format is QImage::Format_ARGB32_Premultiplied. The only other valid format is QImage::Format_RGB16.

### void * QCustomRasterPaintDevice::memory () const `[virtual]`

Returns a pointer to the paint device's memory buffer, or 0 if no such buffer exists.